package net.hoopajoo.cheeselab3;

import java.io.*;

// encapsulation class to send files, (small ones hopefully...)
public class CheeseFile extends java.lang.Object implements java.io.Serializable {
	byte[] data;
	String filename;
	
	CheeseFile( String f ) {
		filename = f;
		
		File file = new File( f );
		data = new byte[ (int)file.length() ];
		
		// Read the file
		try {
			BufferedInputStream in = new BufferedInputStream( new FileInputStream( file ) );
			in.read( data );
			in.close();
		}catch( Exception e ) {
			e.printStackTrace();
		}
	}
	
	public void save( String prefix ) {
		File newfile = new File( filename );
		newfile = new File( prefix + "/" + newfile.getName() );
		try {
			FileOutputStream out = new FileOutputStream( newfile );
			out.write( data );
			out.close();
		}catch( Exception e ) {
			e.printStackTrace();
		}
	}
}
