package net.hoopajoo.cheeselab3;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class CheeseMapRoomEditor extends JDialog implements ActionListener {
	JTextField overlays,
		exit_n, exit_s, exit_e, exit_w, exit_u, exit_d,
		door_n, door_s, door_e, door_w, door_u, door_d;
	
	JTextArea edesc, notes;
	JLabel roomid, name;
		
	
	
	CheeseMapRoomEditor( Frame owner ) {
		//super( owner, true );
		setTitle( "Editor" );

		Container cpane = getContentPane();
		
		JTabbedPane tp = new JTabbedPane();
		cpane.add( tp, BorderLayout.CENTER );
		
		// First is the notes and overlays panel
		JPanel panel = new JPanel();
		panel.setLayout( new GridLayout( 4, 2) );
		panel.add( roomid = new JLabel( "roomid" ) );
		panel.add( name = new JLabel( "name" ) );
		panel.add( new JLabel ( "" ) );
		panel.add( edesc = new JTextArea( "edesc" ) );
		panel.add( new JLabel( "Notes" ) );
		panel.add( notes = new JTextArea() );
		panel.add( new JLabel( "Overlays" ) );
		panel.add( overlays = new JTextField() );
		tp.add( "General", panel );
		
		notes.setLineWrap( true );
		edesc.setLineWrap( true );
		
		panel = new JPanel();
		panel.setLayout( new GridLayout( 7, 3 ) );
		
		panel.add( new JLabel() );
		panel.add( new JLabel( "To" ) );
		panel.add( new JLabel( "Door" ) );
		
		panel.add( new JLabel( "North" ) );
		panel.add( exit_n = new JTextField() );
		panel.add( door_n = new JTextField() );
		panel.add( new JLabel( "South" ) );
		panel.add( exit_s = new JTextField() );
		panel.add( door_s = new JTextField() );
		panel.add( new JLabel( "East" ) );
		panel.add( exit_e = new JTextField() );
		panel.add( door_e = new JTextField() );
		panel.add( new JLabel( "West" ) );
		panel.add( exit_w = new JTextField() );
		panel.add( door_w = new JTextField() );
		panel.add( new JLabel( "Up" ) );
		panel.add( exit_u = new JTextField() );
		panel.add( door_u = new JTextField() );
		panel.add( new JLabel( "Down" ) );
		panel.add( exit_d = new JTextField() );
		panel.add( door_d = new JTextField() );
		
		tp.add( "Exits", panel );
		
		JButton button = new JButton( "save" );
		cpane.add( button = new JButton( "Save" ), BorderLayout.PAGE_END  );
		button.addActionListener( this );
		
		pack();
	}
	
	public void actionPerformed( ActionEvent e ) {
		CheeseLab.dmesg( 3, "Woot!" );
		
		hide();
		dispose();
	}
	
	public void set_room( CheeseRoomData r ) {
		roomid.setText( Integer.toString( r.roomid ) );
		name.setText( r.name );
		edesc.setText( r.edesc );
		notes.setText( r.notes );
		
		exit_n.setText( Integer.toString( r.exit_n ) );
		exit_s.setText( Integer.toString( r.exit_s ) );
		exit_e.setText( Integer.toString( r.exit_e ) );
		exit_w.setText( Integer.toString( r.exit_w ) );
		exit_u.setText( Integer.toString( r.exit_u ) );
		exit_d.setText( Integer.toString( r.exit_d ) );
	
		door_n.setText( r.door_n );
		door_s.setText( r.door_s );
		door_e.setText( r.door_e );
		door_w.setText( r.door_w );
		door_u.setText( r.door_u );
		door_d.setText( r.door_d );
	}
	
	public CheeseRoomData get_room() {
		return( new CheeseRoomData() );
	}
}
