package net.hoopajoo.cheeselab3;
import java.sql.*;
import java.io.*;

public class PrintAllRoomsPostgres {

	public static void main(String[] args) {
		Connection postgres, derby;
		try {
			/*  
			Class.forName( "org.apache.derby.jdbc.EmbeddedDriver" );
			derby = DriverManager.getConnection( "jdbc:derby:cheesedb" );
			*/
			Class.forName( "org.postgresql.Driver" );
			derby = DriverManager.getConnection( "jdbc:postgresql://localhost/cheeselab", "postgres", "postgres" );			
		}catch( Exception e ){
			e.printStackTrace();
			return;
		}
		
		// Create schema
		try {
			PreparedStatement select_rooms = derby.prepareStatement( 
				"select * from room_t limit 10"
			);
			
			PrintWriter out = 
			      new PrintWriter(
			          new OutputStreamWriter(System.out,
			                                 "ISO-8859-1"));
			
			ResultSet rooms = select_rooms.executeQuery();
			while( rooms.next() ) {
				String n = new String( rooms.getBytes( "description" ), "ISO-8859-1" );
				out.println( "---------" );
				out.println( n );
				out.flush();
			}
		}catch( Exception e ) {
			System.out.println( "Error making database!" );
			e.printStackTrace();
		}
		
	}
}
